0

I am hosting a WordPress website on Debian 10. I just installed php8.0. When I a2enmod php8.0, the WordPress site breaks entirely.

On Firefox I get the following message:

Secure Connection Failed

An error occurred during a connection to xxxx.

    The page you are trying to view cannot be shown because the authenticity of the received data could not be verified.
    Please contact the website owners to inform them of this problem.

On Chrome I get the following message:

This page isn’t working
xxxx didn’t send any data.

ERR_EMPTY_RESPONSE

I tried updating the .htaccess file with the following at the top, but it did not help:

AddHandler application/x-httpd-php80 .php

What could be causing this error? Do I need to update MariaDB php? phpMyAdmin?

The apache error log has: AH00052: child pid 12041 exit signal Segmentation fault (11)

1 Answer 1

0

This could be a memory issue. Could your php.ini file have been reset during your upgrade.

1
  • The only things in my php.ini site are memory_limit = 200M as well as max files size and upload size. If I switch back to php 7.4 the site goes back to normal, but if I a2enmod php8.0 or php8.1 it breaks. Another important point is that phpmyadmin also breaks when 8.0 or 8.1 are enabled.
    – Peter
    Commented May 4, 2022 at 13:41

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .